Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Registry_ImpExp Class Reference

Configuration object that imports/exports data to a file formatted using the Win32 Registry file export format. This format looks like [Section] "key"="String Data" "key"=dword: numeric data "key"=hex: binary data. More...

`#include <Configuration_Import_Export.h>`

Inheritance diagram for ACE_Registry_ImpExp:

[legend]
Collaboration diagram for ACE_Registry_ImpExp:

[legend]
List of all members.

## Public Methods
| ACE_Registry_ImpExp (ACE_Configuration &)
| Construction. More...
virtual | ~ACE_Registry_ImpExp (void)
| Destruction. More...
virtual int | import_config (const ACE_TCHAR *filename)
virtual int | export_config (const ACE_TCHAR *filename)
## Private Methods
int | export_section (const ACE_Configuration_Section_Key &section, const ACE_TString &path, FILE *out)
int | process_previous_line_format (ACE_TCHAR *buffer, ACE_Configuration_Section_Key &section)
| ACE_Registry_ImpExp (const ACE_Registry_ImpExp &)
ACE_Registry_ImpExp & | operator= (const ACE_Registry_ImpExp &)

## Detailed Description

Configuration object that imports/exports data to a file formatted using the Win32 Registry file export format. This format looks like [Section] "key"="String Data" "key"=dword: numeric data "key"=hex: binary data.

Todo:
  -Add dynamic buffer when importing. currently it will not allow importing of values greater than a fixed ammount (4096 bytes)

## Constructor & Destructor Documentation

ACE_Registry_ImpExp::ACE_Registry_ImpExp | ( | ACE_Configuration & | config | ) |

| Construction.

ACE_Registry_ImpExp::~ACE_Registry_ImpExp | ( | void |  | ) | `[virtual]`

| Destruction.

ACE_Registry_ImpExp::ACE_Registry_ImpExp | ( | const ACE_Registry_ImpExp & |  | ) | `[private]`

## Member Function Documentation

int ACE_Registry_ImpExp::export_config | ( | const ACE_TCHAR * | filename | ) | `[virtual]`

| This method exports the entire configuration database to filename. Once the file is opened this method calls export_section() passing the root section. Reimplemented from ACE_Config_ImpExp_Base.

int ACE_Registry_ImpExp::export_section | ( | const ACE_Configuration_Section_Key & | section,
|  | const ACE_TString & | path,
|  | FILE * | out
| ) | `[private]`

int ACE_Registry_ImpExp::import_config | ( | const ACE_TCHAR * | filename | ) | `[virtual]`

| Imports the configuration database from filename. No existing data is removed. Reimplemented from ACE_Config_ImpExp_Base.

ACE_Registry_ImpExp& ACE_Registry_ImpExp::operator= | ( | const ACE_Registry_ImpExp & |  | ) | `[private]`

int ACE_Registry_ImpExp::process_previous_line_format | ( | ACE_TCHAR * | buffer,
|  | ACE_Configuration_Section_Key & | section
| ) | `[private]`

The documentation for this class was generated from the following files:

- Configuration_Import_Export.h
- Configuration_Import_Export.cpp